/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.vehiclerouting;

import java.io.File;

import org.optaplanner.core.api.domain.solution.Solution;
import org.optaplanner.persistence.common.api.domain.solution.SolutionFileIO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class BenchmarkSolutionFileIO implements SolutionFileIO {

	protected final transient Logger logger = LoggerFactory.getLogger(this
			.getClass());

	@Override
	public String getInputFileExtension() {
		return null;
	}

	@Override
	public String getOutputFileExtension() {
		return null;
	}

	@Override
	public Solution read(final File inputSolutionFile) {

		this.logger.debug("read");

		return new SolutionGenerator().createSolution();
	}

	@Override
	public void write(final Solution solution, final File outputSolutionFile) {
	}

}
